close all
clear

Re = logspace(1,7,100);

for i=1:length(Re)
  C_d(i) = 24.0/Re(i) + (2.6*(Re(i)/5.0))/(1 + (Re(i)/5.0)^1.52)  ...
           + (0.411*(Re(i)/263000.0)^(-7.94))/(1 + (Re(i)/263000.0)^(-8.0))  ...
           + (0.25*(Re(i)/1.0e6))/(1 + (Re(i)/1.0e6));
end

figure
loglog(Re,C_d)
grid on
ylabel('C_d')
xlabel('Re')
title('Drag Coefficient for a Sphere [Mor13]')
axis tight

set(gcf,'PaperUnits','inches','PaperPosition',[0 0 4 3],'Papersize',[4 3])
print('Cd_fig','-dpdf')
print('Cd_fig','-dpng', '-r200')